USE psa;

CREATE TABLE IF NOT EXISTS BackupsRunning (
	sessionId varchar(250) CHARACTER SET binary NOT NULL,
	param     varchar(250) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	val       varchar(255) CHARACTER SET binary,
	PRIMARY KEY (sessionId, param)
) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS BackupsScheduled (
	id			INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	obj_id		INT UNSIGNED NOT NULL
,	obj_type	ENUM('server', 'client', 'domain') NOT NULL
,	repository	ENUM('local', 'ftp') NOT NULL default 'local'
,	last		DATETIME NOT NULL
,	period		INT UNSIGNED NOT NULL
,	active		ENUM('true', 'false') NOT NULL
,	processed	ENUM('true', 'false') NOT NULL
,	files		INT NOT NULL
,	prefix		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
,	email		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
,	objects		INT UNSIGNED
				-- REFERENCES BackupObjects(id)
, 	split_size	INT UNSIGNED NOT NULL DEFAULT '0'
) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS BackupsObjects (
	id			INT UNSIGNED NOT NULL AUTO_INCREMENT
,	obj_id		INT UNSIGNED NOT NULL
,	obj_type	ENUM('client', 'domain') NOT NULL
,				PRIMARY KEY (id, obj_id, obj_type)
) TYPE=InnoDB;


CREATE TABLE IF NOT EXISTS BackupsSettings (
	id int unsigned default NULL,
  	type enum('domain','client','server') NOT NULL default 'domain',
  	param varchar(255) NOT NULL default '',
  	value varchar(255) character set utf8 default NULL,
  	UNIQUE KEY `index1` (`id`,`type`,`param`)
) TYPE=InnoDB;


# upgrate for bu 7.0 (fix 99496)
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settingdirectory' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_basedir';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settinglogin' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_login';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settinghost' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_server';
insert into BackupsSettings select domains.id, 'domain' as type, 'backup_ftp_settingpassword' as param, Parameters.value  from domains, Parameters where Parameters.id = domains.params_id and Parameters.parameter='bu_ftp_password';
